
function B = inputs()

% DERIVE B, THE NUMBER OF ACTIVE INPUTS TO A STELLATE CELL, WITH TABLE B
% PROBABILITIES

% NOTE!!! The calculation that generates the Table B probabilities has a
% bug so that the total of all probabilities adds up to more than 1. It
% addes up 1.0708. For now, for consistency, I have used the Table B
% probabilities and adjusted the value of A to compensate. REVISE THE
% PROBABILITIES WHEN THE BUG IS FIXED!!!!

A = rand().*1.0708;

if A <= 0.0086
    B = 0;
elseif A <= 0.0521
    B = 1;
elseif A <= 0.1588
    B = 2;
elseif A <= 0.3303
    B = 3;
elseif A <= 0.5337
    B = 4;
elseif A <= 0.7243
    B = 5;
elseif A <= 0.8715
    B = 6;
elseif A <= 0.9681
    B = 7;
elseif A <= 1.023
    B = 8;
elseif A <= 1.0506
    B = 9;
elseif A <= 1.063
    B = 10;
elseif A <= 1.068
    B = 11;
elseif A <= 1.0699
    B = 12;
elseif A <= 1.0705
    B = 13;
elseif A <= 1.0707
    B = 14;
elseif A <= 1.0708
    B = 15;
end
end